/** @file
 * $Source: /repository/event/physics/neutronDetector/NeutronEvent.cpp,v $
 * $Id: NeutronEvent.cpp,v 1.1 2008-01-11 17:14:23 messineo Exp $
 * $Author: messineo $
 * 
 * Implementation of the NeutronEvent class.
 */
#include "NeutronEvent.h"

using namespace pamela::neutron;
TClonesArray *NeutronEvent::fgRecords = 0;

NeutronEvent::NeutronEvent(void): SubPacket("Neutron", PacketType::Physics, SubDetector::Neutron) {
if (!fgRecords) fgRecords = new TClonesArray("pamela::neutron::NeutronRecord", 10);
   Records = fgRecords;
}

NeutronEvent::~NeutronEvent(void) {
}
ClassImp(NeutronEvent)
